Bug 1262237 - hub does not ship bash completion file
hub does not ship bash completion file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hub (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 05:01 EDT by Miro Hrončok
Modified: 2015-10-03 17:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.12.4-5.fc21 hub-1.12.4-4.fc23 hub-1.12.4-4.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-24 01:13:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2015-09-11 05:01:24 EDT
hub package does not install bash completion file upstream provides

See: https://github.com/github/hub/tree/1.12-stable#shell-tab-completion

The script goes to %{buildroot}%{_sysconfdir}/bash_completion.d/

It seems that other packages using bash-completion don't depend on it and rather just own the directory.
Comment 1 Fedora Update System 2015-09-11 12:46:47 EDT
hub-1.12.4-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15627
Comment 2 Fedora Update System 2015-09-11 12:47:27 EDT
hub-1.12.4-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15628
Comment 3 Fedora Update System 2015-09-11 12:48:18 EDT
hub-1.12.4-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15629
Comment 4 Miro Hrončok 2015-09-11 12:52:02 EDT
Now %{_sysconfdir}/bash_completion.d/ is not owned by the package. According to the guidelines, you should either own that directory, or depend on something that does. I would just change:

    %{_sysconfdir}/bash_completion.d/hub.bash_completion.sh

To:

    %{_sysconfdir}/bash_completion.d/

In the %files section to fix that.
Comment 5 Fedora Update System 2015-09-11 15:29:21 EDT
hub-1.12.4-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15648
Comment 6 Fedora Update System 2015-09-11 15:35:45 EDT
hub-1.12.4-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15652
Comment 7 Fedora Update System 2015-09-11 15:52:39 EDT
hub-1.12.4-5.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15655
Comment 8 Fedora Update System 2015-09-12 17:25:11 EDT
hub-1.12.4-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update hub'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15648
Comment 9 Fedora Update System 2015-09-12 17:25:23 EDT
hub-1.12.4-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update hub'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15627
Comment 10 Fedora Update System 2015-09-12 23:49:09 EDT
hub-1.12.4-5.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update hub'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15655
Comment 11 Fedora Update System 2015-09-12 23:49:13 EDT
hub-1.12.4-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update hub'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15629
Comment 12 Fedora Update System 2015-09-13 00:20:13 EDT
hub-1.12.4-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update hub'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15652
Comment 13 Fedora Update System 2015-09-13 00:20:25 EDT
hub-1.12.4-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update hub'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15628
Comment 14 Fedora Update System 2015-09-24 01:13:09 EDT
hub-1.12.4-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-09-24 04:25:09 EDT
hub-1.12.4-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-09-24 10:18:57 EDT
hub-1.12.4-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-10-03 13:59:11 EDT
hub-1.12.4-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-10-03 17:53:18 EDT
hub-1.12.4-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.